[FFmpeg-devel] [PATCH] Default to using libraries when enabled

David Conrad lessen42
Thu May 21 02:32:44 CEST 2009

On May 20, 2009, at 8:24 PM, M?ns Rullg?rd wrote:

> David Conrad <lessen42 at gmail.com> writes:
>> Hi,
>> This changes the order of initialization so that external libraries
>> that are enabled are used by default over native codecs. My main
>> motivation in moving these is to be able to have the ogg and mkv
>> muxers default to encoding via libvorbis if it's enabled; currently,
>> specifying CODEC_ID_VORBIS will use the native encoder regardless,
>> which is much worse quality.
> That sorry excuse for an encoder should IMO be disabled/deleted until
> someone writes a decent one.

That works too; patch attached.

>> However, this also affects faad and xvid. IMO, faad should be
>> preferred anyway until the native decoder supports SBR, then dropped
>> soon after. My only argument for xvid is that it's probably what  
>> users
>> want to use when they --enable-libxvid.
> From what I've seen, users --enable-libxvid because they have
> something they've been told is an "xvid file" and want to play it.
> The next day they're back asking how to play divx files.

--enable-divx? ;P

-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: ffmpeg-vorbis.txt
URL: <http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/attachments/20090520/715cf3d6/attachment.txt>
-------------- next part --------------

More information about the ffmpeg-devel mailing list